{ nixpkgs ? import <nixpkgs> {} }:
let unbreak = nixpkgs.haskell.lib.markUnbroken;
    hs = nixpkgs.haskell.packages.ghc865.override {overrides = self: super: {
      ihaskell = unbreak super.ihaskell;
      ihaskell-blaze = unbreak super.ihaskell-blaze;
      ihaskell-display = unbreak super.ihaskell-blaze;
      ihaskell-diagrams = unbreak super.ihaskell-diagrams;
      alspach = self.callPackage ../computation {};
      diagram-widgets = self.callPackage ./diagram-widgets {};
    };};
    packages = hp: with hp; [alspach diagram-widgets plots];
    ghcWithPackages = hs.ghcWithPackages;
    ghc = ghcWithPackages packages;
    ihaskell = nixpkgs.ihaskell.override {inherit ghcWithPackages packages;};
in nixpkgs.stdenv.mkDerivation {
  name = "env";
  buildInputs = [nixpkgs.glibcLocales ghc ihaskell];
}

